Bug 194642 - [maintainer-update] [patch] sysutils/syslinux: update to version 6.03
Summary: [maintainer-update] [patch] sysutils/syslinux: update to version 6.03
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Bartek Rutkowski
URL:
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2014-10-27 21:07 UTC by Uffe Jakobsen
Modified: 2014-11-24 23:15 UTC (History)
1 user (show)

See Also:


Attachments
syslinux603.patch (5.52 KB, patch)
2014-10-27 21:07 UTC, Uffe Jakobsen
no flags Details | Diff
poudriere syslinux-6.03.log (28.36 KB, text/x-log)
2014-10-27 21:08 UTC, Uffe Jakobsen
no flags Details
poudriere syslinux-6.03.portlint.log (626 bytes, text/x-log)
2014-10-27 21:09 UTC, Uffe Jakobsen
no flags Details
syslinux603.patch (5.52 KB, patch)
2014-10-27 21:10 UTC, Uffe Jakobsen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Uffe Jakobsen 2014-10-27 21:07:57 UTC
Created attachment 148714 [details]
syslinux603.patch

[maintainer-update] [patch] sysutils/syslinux: update syslinux from 6.02 to 6.03

patch, poudriere.log and portlint.log attached
Comment 1 Uffe Jakobsen 2014-10-27 21:08:39 UTC
Created attachment 148715 [details]
poudriere syslinux-6.03.log
Comment 2 Uffe Jakobsen 2014-10-27 21:09:22 UTC
Created attachment 148716 [details]
poudriere syslinux-6.03.portlint.log
Comment 3 Uffe Jakobsen 2014-10-27 21:10:11 UTC
Created attachment 148717 [details]
syslinux603.patch
Comment 4 John Marino freebsd_committer 2014-11-01 15:10:14 UTC
(In reply to uffe from comment #2)
> Created attachment 148716 [details]
> poudriere syslinux-6.03.portlint.log

You probably should have run this on directory without *.orig files in it...
Comment 5 John Marino freebsd_committer 2014-11-01 15:11:31 UTC
Other than that, this seems good enough to promote I think.
Comment 6 Uffe Jakobsen 2014-11-08 09:42:52 UTC
I've noted some reluctance on touching ports that contains the name linux :-)

Despite the name of this port (syslinux) - no linux knowledge or anything similar is actually required for any parts of this port.

How to test this port:

Background:
Syslinux is a boot menu (manager) ala grub - just without the ugly syntax.
Syslinux needs a DOS partition - it will install a stage0 boot loader into the PBR (partition boot record).
A stage1 boot loader file "ldlinux.sys" is installed into the filesystem root - the file location is hooked into the PBR (partition boot record).
A stage2 (com32) boot loader called "ldlinux.c32" is also installed into the filesystem root.

Requisites:
NOTE: linux emulation is *NOT* a requirement for this port
Make sure that you have the mtools (emulators/mtools) package installed.
All you need is a FreeBSD root access, an USB-stick or similar media that can be manipulated for test purposes.
In other words no valuable data should be on that (USB) media.

The rest of this text assumes that device /dev/da0 and partition (slice) /dev/da0s1 identifies the USB device that testing is to be carried out on.

1) Create a MBR-style partition table on the USB-stick (da0) - use your favourite partitioning tool - fdisk, gpart etc
2) Create a MSDOS partition (slice) on the USB-stick (da0) - use your favourite partitioning tool - fdisk, gpart etc
3) Create a MSDOS filesystem on the newly created partition (da0s1) - command: newfs_msdos /dev/da0s1
4) Display newly created (empty) MSDOS filesystem - run: # mdir -a -i /dev/da0s1

5) running the following command:

# syslinux -i -f /dev/da0s1

Should complete without error

6) run command:

# mdir -a -i /dev/da0s1

Output should show that now both "ldlinux.sys" and "ldlinux.c32" is found in the root of the listed MSDOS filesystem.

7) Done - you'venow tested the primary syslinux "install" functionality

/Uffe :-)
Comment 7 commit-hook freebsd_committer 2014-11-24 19:22:00 UTC
A commit references this bug:

Author: robak
Date: Mon Nov 24 19:21:45 UTC 2014
New revision: 373362
URL: https://svnweb.freebsd.org/changeset/ports/373362

Log:
  sysutils/syslinux: update 6.02 -> 6.03

  PR:		194642
  Submitted by:	Uffe Jakobsen <uffe@uffe.org>

Changes:
  head/sysutils/syslinux/Makefile
  head/sysutils/syslinux/distinfo
  head/sysutils/syslinux/files/patch-Makefile
  head/sysutils/syslinux/files/patch-libinstaller-syslinux.h
  head/sysutils/syslinux/files/patch-libinstaller-syslxopt.c
Comment 8 Bartek Rutkowski freebsd_committer 2014-11-24 23:15:22 UTC
Committed, thanks for your work!